# RSL_rebin_...

### Synopsis

#include "rsl.h"
void RSL_rebin_ray(Ray *r, int width);
void RSL_rebin_sweep(Sweep *s, int width);
void RSL_rebin_volume(Volume *v, int width);

###

Description

Rebin the data from -width to +width, centered at 0, to a positive value, such that -width corresponds to 1, and +width corresponds to the value 2*width+1.

NOTE: This function modifies its argument: Ray, Sweep, or Volume. Use this function prior RSL_sweep_to_cart. The actual binning is done in RSL_rebin_ray.

### Return value

None.

### See also

RSL_sweep_to_gif, RSL_sweep_to_pict, RSL_sweep_to_pgm, RSL_sweep_to_ppm,
RSL_load_color_table, RSL_load_green_table, RSL_load_red_table, RSL_load_blue_table,
RSL_load_refl_color_table, RSL_load_sw_color_table, RSL_load_vel_color_table,
RSL_volume_to_gif, RSL_volume_to_pict, RSL_volume_to_pgm, RSL_volume_to_ppm.

Author: David B. Wolff